# Updates a Webhook at Org level

Updates a Webhook at Org level

Endpoint: PUT /v1/orgs/{org}/webhooks/{webhook}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Identifier field of the organization the resource is scoped to

  - `webhook` (string, required)
    Webhook identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Request fields (application/json):

  - `webhook_name` (string, required)

  - `is_enabled` (boolean, required)

  - `spec` (object, required)
    Details of the Webhook defined in Harness

  - `spec.webhook_type` (string)
    Enum: "GIT", "GENERIC", "SLACK"

## Response 200 fields (application/json):

  - `webhook_identifier` (string)


